gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.ConverterOutputStream

Contents

- Exported types
- Methods
  - getConverter
  - new
- Properties
  - converter

Description

Converter output stream implements `OutputStream` and allows conversion of data of various types during reading.

As of GLib 2.34, `ConverterOutputStream` implements `PollableOutputStream`.

Synopsis

- newtype ConverterOutputStream = ConverterOutputStream (ManagedPtr ConverterOutputStream)
- class GObject o => IsConverterOutputStream o
- toConverterOutputStream :: (MonadIO m, IsConverterOutputStream o) => o -> m ConverterOutputStream
- noConverterOutputStream :: Maybe ConverterOutputStream
- converterOutputStreamGetConverter :: (HasCallStack, MonadIO m, IsConverterOutputStream a) => a -> m Converter
- converterOutputStreamNew :: (HasCallStack, MonadIO m, IsOutputStream a, IsConverter b) => a -> b -> m ConverterOutputStream
- constructConverterOutputStreamConverter :: (IsConverterOutputStream o, IsConverter a) => a -> IO (GValueConstruct o)
- getConverterOutputStreamConverter :: (MonadIO m, IsConverterOutputStream o) => o -> m Converter

# Exported types

newtype ConverterOutputStream Source #

Memory-managed wrapper type.

Constructors

ConverterOutputStream (ManagedPtr ConverterOutputStream) |

Instances

GObject ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream Methods gobjectType :: ConverterOutputStream -> IO GType Source #
IsObject ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream
IsPollableOutputStream ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream
IsFilterOutputStream ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream
IsOutputStream ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream
IsConverterOutputStream ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream

class GObject o => IsConverterOutputStream o Source #

Type class for types which can be safely cast to `ConverterOutputStream`, for instance with `toConverterOutputStream`.

Instances

(GObject a, (UnknownAncestorError ConverterOutputStream a :: Constraint)) => IsConverterOutputStream a Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream
IsConverterOutputStream ConverterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterOutputStream

toConverterOutputStream :: (MonadIO m, IsConverterOutputStream o) => o -> m ConverterOutputStream Source #

Cast to `ConverterOutputStream`, for types for which this is known to be safe. For general casts, use `castTo`.

noConverterOutputStream :: Maybe ConverterOutputStream Source #

A convenience alias for `Nothing` :: `Maybe` `ConverterOutputStream`.

# Methods

## getConverter

converterOutputStreamGetConverter Source #

Arguments

:: (HasCallStack, MonadIO m, IsConverterOutputStream a) |
=> a | `converterStream`: a `ConverterOutputStream`
-> m Converter | Returns: the converter of the converter output stream

Gets the `Converter` that is used by `converterStream`.

Since: 2.24

## new

converterOutputStreamNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutputStream a, IsConverter b) |
=> a | `baseStream`: a `OutputStream`
-> b | `converter`: a `Converter`
-> m ConverterOutputStream | Returns: a new `OutputStream`.

Creates a new converter output stream for the `baseStream`.

# Properties

## converter

No description available in the introspection data.

constructConverterOutputStreamConverter :: (IsConverterOutputStream o, IsConverter a) => a -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`converter`” property. This is rarely needed directly, but it is used by `new`.

getConverterOutputStreamConverter :: (MonadIO m, IsConverterOutputStream o) => o -> m Converter Source #

Get the value of the “`converter`” property. When overloading is enabled, this is equivalent to

    get converterOutputStream #converter